<?php
namespace Claromentis\Setup\Db\Migrations;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_98587fc188f350370f03d54707" . "c587e1" => base64_decode("aXNfcmV" . "hZGFibG" . "U="), "_4e804c3c659ffa927094580817423" . "76b" => base64_decode("Q3JlYXRpb" . "mcgc2NoZW" . "1h"), "_3c4298ad118f03549387eda8af8" . "59750" => base64_decode("QXBwbGljYXRpb24gYWxyZWFkeSBp" . "bnN0YWxsZWQ="), "_0a441bddac7bebad7a9858" . "a0dfadcd90" => base64_decode("MDEuMDE" . "="), "_98080012c02491a0c0cf9af5c977f3c" . "7" => base64_decode("U2NoZW1hIGZpb" . "GU6IA=="), "_bc2b2cbee209b" . "1cad0873479a8f" . "d921a" => base64_decode("L3NjaGVtYS9zY" . "2hlbWEucGhw"), "_c1bf7b7ebd1ab8431a8561d76" . "2db1895" => base64_decode("QXBwbGljYXRpb24gaXMgbm90IGluc3RhbGxlZC4gQ2Fubm90IHVwZGF0Z" . "Q=="), "_09fd03941a048" . "e1f28e82318900" . "7cddf" => base64_decode("U2NoZW1hIHN1Y2Nlc3NmdWxseSBjcmVhdGVkLiBDdXJyZ" . "W50IHZlcnNpb24gaXMgJw=="), "_afa8b786a028" . "2957bc5e6c82e" . "b5eeaba" => base64_decode("U2NoZW1hIGZpbGUgZG9lc24ndCBleGlzdCBvciBub3QgcmVhZGFibGUsIHNraXB" . "waW5nIHNjaGVtYSBjcmVhdGlvbg=="), "_edc5e56d0d74937af4aa39" . "a12b4e62f4" => base64_decode("MD" . "Au" . "MD" . "A="), "_e608e5b5c4c34a67ba97ef" . "84c1e16199" => base64_decode("Jw" . "=="));
use Claromentis\Setup\Exception\AlreadyInstalledException;
use Claromentis\Setup\Exception\NotInstalledException;




class Schema extends MigrationsBase
{
    
    
    
    
    
    
    
    
    public function Install()
    {
        if ($this->IsSchemaCreated()) {
            throw new AlreadyInstalledException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_3c4298ad118f03549387e" . "da8af859750"]);
        }
        $this->CreateSchema();
    }
    
    
    
    
    
    
    
    
    public function Update()
    {
        if (!$this->IsSchemaCreated()) {
            throw new NotInstalledException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_c1bf7b7ebd" . "1ab8431a856" . "1d762db1895"]);
        }
    }
    
    
    
    
    public function Up()
    {
        if (!$this->IsSchemaCreated()) {
            $this->CreateSchema();
        }
    }
    
    
    
    
    
    
    protected function IsSchemaCreated()
    {
        return $this->persistence->GetVersion() !== null;
    }
    
    
    
    
    protected function CreateSchema()
    {
        $_3d94334dda6f8e448f15c2285d522e72 = $this->init_path . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_bc2b2cbee209b1cad0873479a8" . "fd921a"];
        if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_98587fc188f350370f03d54707" . "c587e1"]($_3d94334dda6f8e448f15c2285d522e72)) {
            $this->logger->info($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_9808001" . "2c02491a" . "0c0cf9af" . "5c977f3c" . "7"] . $_3d94334dda6f8e448f15c2285d522e72);
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_4e804c3c65" . "9ffa9270945" . "8081742376b"]);
            extract($this->environment, EXTR_REFS | EXTR_OVERWRITE);
            include $_3d94334dda6f8e448f15c2285d522e72;
            if (!$this->persistence->GetVersion()) {
                $this->persistence->SetVersion($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0a441bddac7bebad7a9858a0" . "dfadcd90"]);
            }
            $this->logger->notice($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_09fd03941a048e1f28e823" . "189007cddf"] . $this->persistence->GetVersion() . $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_e608e5b5c4c34a67b" . "a97ef84c1e16199"]);
        } else {
            $this->logger->warning($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_afa8b786a02" . "82957bc5e6c8" . "2eb5eeaba"]);
            $this->persistence->SetVersion($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_edc5e56d0d74937af4aa39a12b4e6" . "2f4"]);
        }
    }
}